Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.model.space
Class CollectionSpace.ClosestDataPoint

    java.lang.Object
      org.ascape.util.data.DataPointConcrete
          org.ascape.model.space.CollectionSpace.ClosestDataPoint

All Implemented Interfaces:
  java.io.Serializable, DataPoint, HasName

Enclosing class:
  CollectionSpace

    public class CollectionSpace.ClosestDataPoint

extends DataPointConcrete

The Class ClosestDataPoint.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.util.data.DataPointConcrete
`equalsEpsilon, equalsEpsilonFloat`

Constructor Summary
`CollectionSpace.ClosestDataPoint(Coordinate origin)` Instantiates a new closest data point.

Method Summary
`double` | `getValue(java.lang.Object o)` Returns the value of a given data point from a given object.

Methods inherited from class org.ascape.util.data.DataPointConcrete
`equals, equals, equals, equals, getEqualsEpsilon, getEqualsEpsilonFloat, getName, setName, sum`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionSpace.ClosestDataPoint

    public CollectionSpace.ClosestDataPoint(Coordinate origin)

  Instantiates a new closest data point.

  Parameters:
    `origin` - the origin

Method Detail

### getValue

    public double getValue(java.lang.Object o)

  Description copied from class: `DataPointConcrete`
  Returns the value of a given data point from a given object.

  Specified by:
    `getValue` in interface `DataPoint`
  Specified by:
    `getValue` in class `DataPointConcrete`
  Parameters:
    `o` - the object to extract the value from.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD